/*Ces regles permettent d'eliminer les marges et padding indesirables */
*{
    margin: 0;
    padding: 0;
    max-width: 100%; 
    box-sizing: border-box;
}


html, body{
    
    min-height: 100vh;
}

/*Les proprietés body et main permettent de garder le footer en bas et au main d'occuper tout l'espace vide*/
body{
    
    display: flex;
    flex-direction: column;
    height: 100%;
    
}


main{
    
   flex: 1;
}

/*Cette regle permet de modeliser le premier bar de menu*/

header #PremierBar{
    background-color: #4d79ff;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;  
}

/*Cette regle modeliser le container du texte dans le premier bar*/

#TexteMenu{
    
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
   
}

/*Cette regle permet de modeliser le titre du premier bar*/
#TexteMenu h1{
    
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(0.5rem , 2vh, 1.7rem); 
  font-weight: bolder;  
  flex-wrap: wrap;
  text-align: center;
}

/*Cette regle permet de modeliser le paragraphe du premier bar*/
#TexteMenu p{
    
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(0.6rem , 2vh, 1rem); 
  font-weight: normal;  
  flex-wrap: wrap;
  color: whitesmoke;
  max-width: 15rem;
  text-align: center;
  margin-bottom: 1rem;
}

/*Cette regle permet de modeliser l'image du logo dans le premier bar de menu*/
#PremierBar div img{
    
  height: 5rem;
  width: 8rem;
  margin-top: 1rem;
  max-width: auto;
  max-height: auto;

}

/*Cette regle permet la liste des reseaux sociaux dans le premier bar de menu*/
#PremierBar div ul{
    
  display: flex;
  justify-content: space-between;
  list-style-type: none;
  margin-top: 2rem;
  gap: 1rem;
  color: white;
  flex-wrap: wrap;
  font-size: Clamp(0.6rem , 2vh, 1rem); 
  font-family: "Work Sans", sans-serif;
}

/*Cette regle modelise les icones des reseaux sociaux*/
#PremierBar div ul li a{
    
  flex-wrap: wrap;
  font-size: Clamp(0.6rem , 2vh, 1rem); 
  font-family: "Work Sans", sans-serif;
  color: #050e2a;
}


/*==================================================================================*/
/*Deuxieme Partie qui modelise le menu nav*/
/*=================================================================================*/

/*Cette regle permet de styliser le menu*/
header nav ul{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap; 
    background-color: #1a53ff;
    gap: 2rem;
    padding: 2rem;
}

/*Cette regle de styliser la liste de menu*/
header nav ul li{
    
  list-style-type: none;
  font-family: "Work Sans", sans-serif;
  font-size: Clamp(1rem , 2vh, 1rem); 
  font-weight: normal;  
  flex-wrap: wrap;
  color: #050e2a;
  max-width: 15rem;


}

nav ul li {
    position: relative;
    display: inline-block; /* mete meni yo kòt a kòt */
}

nav ul li a {
    display: block;
    padding: 10px 20px;
    text-decoration: none;
    background: #b3c6ff;
}

nav ul li ul {
    display: none; /* kache sous-meni yo */
    position: absolute;
    top: 100%;
    left: 0;
    background: white;
    padding: 0;
    margin: 0;
    border: 1px solid #ccc;
    min-width: 200px;
    z-index: 1000;
}

nav ul li:hover > ul {
    display: block; /* montre sous-meni a lè souri pase */
}

nav ul li ul li {
    display: block;
}

nav ul li ul li a {
    padding: 10px;
    color: black;
}

nav ul li ul li:hover {
    background: #f0f0f0; /* efè hover sou sous-meni */
}

/*=========================================================================================*/
/*Fin du bloc de menu*/
/*=========================================================================================*/

/*=========================================================================================*/
/*Bloc de style du hero*/
/*==========================================================================================*/
#Partiehero3{
    
    height: 30rem;
    width: 100%;
    max-width: auto;
    max-height: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image: url(/assets/hero10.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: block;
    top: 0;
    left: 0;
    margin-bottom: 5rem;
}

/*=========================================================================================*/
/*Fin du bloc de style du hero*/
/*==========================================================================================*/
#containercard{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    margin-top: 5rem;
    margin-bottom: 5rem;
    border-top: #506ec8 15px solid;
}

#card1, #card2, #card3{
    background-color: #f0f0f0;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    width: 300px;
    text-align: center;
    flex : 1 1 1;
    border-top: #1a53ff 7px solid;
    border-bottom: #ff1a63 7px solid;
    margin-top: 2rem;
    
}


#card1 h2{

    font-family: "Work Sans", sans-serif;
    font-size: Clamp(1.5rem , 2vh, 2rem); 
    font-weight: bolder;
    flex-wrap: wrap;
    color: #3333ff;
    padding: 1rem;
    
}


#card1, #card2, #card3 p{
    
    font-family: "Work Sans", sans-serif;
    font-size: Clamp(1rem , 2vh, 1.5rem); 
    color: #070725;
    flex-wrap: wrap;
    font-weight: 400;
    text-align: justify;
    padding-top: 1rem;
    
}


#card1, #card2 p{
    
    font-family: "Work Sans", sans-serif;
    font-size: Clamp(1rem , 2vh, 1.5rem); 
    color: #070725;
    flex-wrap: wrap;
    font-weight: 400;
    text-align: justify;
    padding-top: 1rem;
    padding-bottom: 1rem;
    
}


#card1{
    
   transition : transform 0.5s ease, box-shadow 0.7s ease;
    
}


#card1:hover{
    
   transform: translateY(-15px);
   box-shadow: 0 10px 20px rgba(138, 16, 59, 0.2);
    
}

#card2{

    transition : transform 0.3s ease, box-shadow 0.3s ease;
}


#card2:hover{

  transform : translateX(20px);
  box-shadow: 0 15px 20px blue;
}

#card3{
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

#card3:hover{
    
    transform: translateY(15px);
    box-shadow: 0 15px 20px rgba(51, 51, 255, 0.2);
    
}

#card3 button{
    
    padding: 1rem;
    font-size: Clamp(1rem , 2vh, 1.5rem); 
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-top: 1rem;
    margin-top: 1rem;
    background-color: #3333ff;
    margin-bottom: 1rem;
    
}


#card3 button a{
    
    color: white;
    font-family: "Work Sans", sans-serif;
    font-size: Clamp(1rem , 2vh, 1.5rem); 
    font-weight: bolder;  
    text-decoration: none;   
}



/*=========================================================================================*/
/*Bloc de style du footer*/
/*=========================================================================================*/

/*Ce bloc stylise le logo du footer*/
footer div img{

  height: 15rem;
  width: 100%;
  margin-top: 1rem;
  max-height: 100%;
  max-width: auto;
  background-size: cover;
   display: block; 
}

/*Ce bloc dispose les elements en ligne dans le footer*/
footer #ContainerFoot{
  
  display: flex;
  justify-content: space-around;
  gap: 3rem;
  /*background-color: #1a75ff;*/
  background-color: #000000;
  padding: 3rem;
  flex-wrap: wrap;
   
}

/*Ce bloc stylise le titre h3 du footer*/
footer #ContainerFoot div h3{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1.3rem ,  2vh ,  1.8rem);
  color: white;
  flex-wrap: wrap;
 
}

/*Ce bloc stylise le paragraphe du footer*/
footer #ContainerFoot div p{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1rem ,  2vh ,  1.8rem);
  color: white;
  flex-wrap: wrap;
  max-width: 20rem;
  text-align: left;
  margin: 1rem;
 
}

/*Ce bloc stylise le titre h4 du footer*/
footer #ContainerFoot div h4{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1rem ,  2vh ,  1.8rem);
  color:#3333ff;
  flex-wrap: wrap;
  max-width: 10rem;
  max-width: 25rem;
 
}

/*Ce bloc stylise les liste du footer*/
footer #ContainerFoot div ul{
  
  list-style-type: square;
  margin: 1rem;
  
 
}

/*Ce bloc stylise les elements de la liste du footer*/
footer #ContainerFoot div ul li a{
  
  font-family: "Work Sans", sans-serif;
  font-size: clamp(1rem ,  2vh ,  1.8rem);
  flex-wrap: wrap;
  max-width: 40rem;
  color: #506ec8;
  
}

/*=========================================================================================*/
/*Fin de Bloc de style du footer*/
/*=========================================================================================*/